Loading...
Searching...
No Matches
_snd_ump_msg_set_tempo Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint32_t | tempo
uint32_t | reserved [2]

## Detailed Description

Set Tempo Message (128bit)

## Field Documentation

## addrs

uint8_t _snd_ump_msg_set_tempo::addrs

Address

## channel

uint8_t _snd_ump_msg_set_tempo::channel

Channel

## format

uint8_t _snd_ump_msg_set_tempo::format

Format

## group

uint8_t _snd_ump_msg_set_tempo::group

UMP Group

## reserved

uint32_t _snd_ump_msg_set_tempo::reserved[2]

Unused

## status

uint8_t _snd_ump_msg_set_tempo::status

Status

## status_bank

uint8_t _snd_ump_msg_set_tempo::status_bank

Status Bank

## tempo

uint32_t _snd_ump_msg_set_tempo::tempo

Number of 10nsec units per quarter note

## type

uint8_t _snd_ump_msg_set_tempo::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/ump_msg.h